--- TICKER_200
function(allstates)
	for i = 0, 40 do
		local unit = "nameplate" .. i
		if UnitIsPlayer(unit) then
			local name = UnitName(unit)
			local seen = false
			if not Heimdall_Achievements then return end
			if not Heimdall_Achievements.players then return end
			if not Heimdall_Achievements.alreadySeen then return end

			if Heimdall_Achievements.players[name] then seen = true end
			if Heimdall_Achievements.alreadySeen[name] then seen = true end

			allstates[unit] = {
				show = true,
				changed = true,
				name = name,
				unit = unit,
				seen = seen,
			}
		else
			allstates[unit] = {
				show = false,
				changed = true,
				seen = false,
			}
		end
	end

	return true
end